Subject: bug#32537: 26.1.50; Tramp: Cursor jumps when typing during asynchronous find-file

From: Eli Zaretskii <[email-masked]>
Date: Wed, 29 Aug 2018 21:14:12 +0300

> From: Gemini Lasswell <[email-masked]>
> Cc: [email-masked]
> Date: Wed, 29 Aug 2018 10:55:35 -0700
> 
> I'm a gdb newbie

You are doing fine, don't worry.

> It looks to me like Thread 1 is the main thread, and the thread names
> printed by gdb don't match what Emacs thinks they are.  Thread 1 starts
> out as "emacs" but its name changes after I continue from the
> Fmake_thread breakpoint:
> 
> 
> Thread 1 "emacs" hit Breakpoint 3, Fmake_thread (function=XIL(0x4867b15), 
>     name=XIL(0x45b85a4)) at thread.c:768
> 768	{
> Deleted breakpoint 3 
> Breakpoint 4 at 0x635530: file intervals.c, line 1826.
> Type commands for breakpoint(s) 4, one per line.
> End with a line saying just "end".
> Breakpoint 5 at 0x635360: file intervals.c, line 1729.
> Type commands for breakpoint(s) 5, one per line.
> End with a line saying just "end".
> Continuing.
> [New Thread 0x7f1cad3e1700 (LWP 9151)]
> 
> Thread 1 "find-file /scp:" hit Breakpoint 5, temp_set_point_both (
>     buffer=0xdb5800 <bss_sbrk_buffer+458720>, charpos=charpos@entry=146, 
>     bytepos=bytepos@entry=146) at intervals.c:1729
> 1729	{
> "redisplay_internal (C function)" (0x0)
> 
> 
> And then later in gdb.txt this thread shows up:
> 
> 
> Thread 6 "emacs" hit Breakpoint 5, temp_set_point_both (
>     buffer=0xdb5800 <bss_sbrk_buffer+458720>, charpos=charpos@entry=151, 
>     bytepos=bytepos@entry=151) at intervals.c:1729

So given this confusion over which thread is what, I think we need to
see the C-level backtrace of all the Lisp threads, to see which one(s)
of them really called temp_set_point_both.

Thanks.